org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class AbstractEvaluationStrategyFactory

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.AbstractEvaluationStrategyFactory

- All Implemented Interfaces:
    EvaluationStrategyFactory
  Direct Known Subclasses:
    ExtendedEvaluationStrategyFactory, StrictEvaluationStrategyFactory

      public abstract class AbstractEvaluationStrategyFactory
      extends Object
      implements EvaluationStrategyFactory

  Abstract base class for `ExtendedEvaluationStrategy`.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEvaluationStrategyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getQuerySolutionCacheThreshold()` Get the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache.
    `void` | `setQuerySolutionCacheThreshold(long threshold)` Set the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategyFactory

      `createEvaluationStrategy`

- - ### Constructor Detail

    - #### AbstractEvaluationStrategyFactory

          public AbstractEvaluationStrategyFactory()

  - ### Method Detail

    - #### setQuerySolutionCacheThreshold

          public void setQuerySolutionCacheThreshold(long threshold)

      Description copied from interface: `EvaluationStrategyFactory`
      Set the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache. If set to 0, no disk caching will occur. EvaluationStrategies that provide no disk caching functionality are free to ignore this parameter.
      Specified by:
        `setQuerySolutionCacheThreshold` in interface `EvaluationStrategyFactory`
      Parameters:
        `threshold` - the number of query solutions that the EvaluationStrategy can cache in main memory before attempting disk sync.

    - #### getQuerySolutionCacheThreshold

          public long getQuerySolutionCacheThreshold()

      Description copied from interface: `EvaluationStrategyFactory`
      Get the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache. If set to 0, no disk caching will occur. EvaluationStrategies that provide no disk caching functionality are free to ignore this parameter.
      Specified by:
        `getQuerySolutionCacheThreshold` in interface `EvaluationStrategyFactory`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.